DBusTypeWriter Struct Reference

The type writer is an iterator for writing to a block of values. More...

`#include <dbus-marshal-recursive.h>`

## Data Fields

dbus_uint32_t | byte_order: 8
| byte order to write values with
dbus_uint32_t | container_type: 8
| what are we inside? (e.g. More...
dbus_uint32_t | type_pos_is_expectation: 1
| type_pos can be either an insertion point for or an expected next type
dbus_uint32_t | enabled: 1
| whether to write values
DBusString * | type_str
| where to write typecodes (or read type expectations)
int | type_pos
| current pos in type_str
DBusString * | value_str
| where to write values
int | value_pos
| next position to write
union {
struct {
int start_pos
| position of first element in the array
int len_pos
| position of length of the array
int element_type_pos
| position of array element type in type_str
} array
} | u
| class-specific data

## Detailed Description

The type writer is an iterator for writing to a block of values.

Definition at line 64 of file dbus-marshal-recursive.h.

## Field Documentation

dbus_uint32_t DBusTypeWriter::container_type

what are we inside? (e.g.

struct, variant, array)

Definition at line 68 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_writer_init(), _dbus_type_writer_unrecurse(), _dbus_type_writer_write_fixed_multi(), and dbus_message_iter_append_fixed_array().

The documentation for this struct was generated from the following file:

- dbus-marshal-recursive.h